> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fiddler.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Custom Metrics REST API Guide

> Discover Fiddler’s Custom Metric feature. Learn how to add, retrieve, and delete custom metrics from you Fiddler models.

<CardGroup cols={2}>
  <Card title="Create new custom metric" icon="plus" href="/sdk-api/rest-api/custom-metrics/create-custom-metric">
    `POST /v3/custom-metrics`
  </Card>

  <Card title="Delete custom metric by uuid" icon="trash" href="/sdk-api/rest-api/custom-metrics/delete-custom-metric">
    `DELETE /v3/custom-metrics/{uuid}`
  </Card>

  <Card title="Detail info of a custom metric" icon="magnifying-glass" href="/sdk-api/rest-api/custom-metrics/get-custom-metric">
    `GET /v3/custom-metrics/{uuid}`
  </Card>

  <Card title="List all custom metrics" icon="magnifying-glass" href="/sdk-api/rest-api/custom-metrics/get-custom-metrics">
    `GET /v3/custom-metrics`
  </Card>

  <Card title="List all custom metrics for a model" icon="magnifying-glass" href="/sdk-api/rest-api/custom-metrics/get-model-custom-metrics">
    `GET /v3/models/{model_id}/custom-metrics`
  </Card>
</CardGroup>
